Subject: Re: [PATCH net] net: mvneta: fix operation for 64K PAGE_SIZE

From: Jisheng Zhang <[email-masked]>
Date: Wed, 19 Dec 2018 03:11:16 +0000

On Mon, 17 Dec 2018 08:37:35 +0100 Thomas Petazzoni wrote:

> Hello Marcin,
> 
> On Mon, 17 Dec 2018 00:25:58 +0100, Marcin Wojtas wrote:
> 
> > Thanks. Indeed, the patch is valid as a fix for current version of SW
> > BM. However, because this concept is broken, I will rework it and
> > submit patch/patches some time early 2019.  
> 
> I know some people are working on XDP support in mvneta, and this work
> also needs to change parts of the memory allocation strategy in this
> driver. I'd suggest to get in touch with those folks. Antoine can give
> you the contact details, I don't have them off-hand. Or perhaps they
> will see this e-mail :-)

Great. So the problem of current memory allocation is seen, glad to
know reworking is going on.

Besides the memory waste, there's another issue with commit 7e47fd84b56b
it always allocates page, so the rx is mapped with dmap_map_page(), but
the unmap routine isn't updated, there's mismatch here.

thanks